2021-04-18 15:45  阅读(72)
文章分类:Java 基础实战 文章标签:JavaJava 教程
©  原文作者:w3cschool 原文地址:https://www.w3cschool.cn/java/java-examples.html

以下实例演示了多线程异常处理方法:

    /*
     author by w3cschool.cc
     Main.java
     */
    
    class MyThread extends Thread{
       public void run(){
          System.out.println("Throwing in " +"MyThread");
          throw new RuntimeException();
       }
    }
    class Main {
       public static void main(String[] args){
          MyThread t = new MyThread();
          t.start();
          try{
             Thread.sleep(1000);
          }
          catch (Exception x){
             System.out.println("Caught it" + x);
          }
          System.out.println("Exiting main");
       }
    }
    

以上代码运行输出结果为:

    Throwing in MyThread
    Exception in thread "Thread-0" java.lang.RuntimeException
            at testapp.MyThread.run(Main.java:19)
    Exiting main
    
点赞(0)
版权归原创作者所有,任何形式转载请联系作者; Java 技术驿站 >> Java 实例 – 多线程异常处理
上一篇
Java 实例 – 使用 catch 处理异常
下一篇
Java 实例 – 获取异常的堆栈信息